Bug 517416 - Review Request: awl - Andrew's Web Libraries - PHP Utility Libraries
Summary: Review Request: awl - Andrew's Web Libraries - PHP Utility Libraries
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 19:36 UTC by Benoît Marcelin
Modified: 2016-09-06 19:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
andrew: fedora-review+


Attachments (Terms of Use)

Description Benoît Marcelin 2009-08-13 19:36:51 UTC
Spec URL: http://tmp.sereinity.homelinux.org/rpm/awl.spec
SRPM URL: http://tmp.sereinity.homelinux.org/rpm/awl-0.37-1.fc11.src.rpm
Description: 
This package contains Andrew's Web Libraries.  This is a set
of hopefully lightweight libraries for handling a variety of
useful things for web programming, including:
 - Session management
 - User management
 - DB Records
 - Simple reporting
 - DB Schema Updating
 - iCalendar parsing

Comment 1 Andrew Colin Kissa 2009-08-17 11:41:38 UTC
There is an issue with the file placement, Non PEAR classes should be placed in %{_datadir}/php

Comment 3 Andrew Colin Kissa 2009-08-19 12:41:02 UTC
The srpm is actually an rpm

Comment 4 Benoît Marcelin 2009-08-19 12:53:45 UTC
Oups, sorry http://tmp.sereinity.homelinux.org/rpm/awl-0.37-2.fc11.src.rpm

Comment 5 Andrew Colin Kissa 2009-08-19 13:31:04 UTC
FIX: rpmlint must be run on every package. The output should be posted in the review

rpmlint rpmbuild/SPECS/awl.spec rpmbuild/SRPMS/awl-0.37-2.fc11.src.rpm rpmbuild/RPMS/noarch/awl-0.37-2.fc11.noarch.rpm 
rpmbuild/SPECS/awl.spec:57: W: macro-in-%changelog _datadir
rpmbuild/SPECS/awl.spec:58: W: macro-in-%changelog _datadir
awl.src:57: W: macro-in-%changelog _datadir
awl.src:58: W: macro-in-%changelog _datadir
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Just use /usr/share/php in the changelog 


OK: The package must be name according to the Package Naming Guidelines
OK: The spec file name must match the base package %{name}
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
FIX: The License field in the package spec file must match the actual license.

Based on the README GPLv2+ can be used.

OK: If (an only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources use to build the package must match the upstream source, as provided in the spec URL.

sha1sum awl_0.37.tar.gz rpmbuild/SOURCES/awl_0.37.tar.gz 
1cee5d230672be387702d673c40ffdf9abacd0b4  awl_0.37.tar.gz
1cee5d230672be387702d673c40ffdf9abacd0b4  rpmbuild/SOURCES/awl_0.37.tar.gz


OK: The package MUST successfully compile an build into binary rpms on at least one primary architecture.
N/A: If the package does not successfully compile, build or work on an architecture
N/A: All build dependencies must be listed in BuildRequires
N/A: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A: Every binary RPM package (or subpackage) which stores share library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
FIX: Each package must consistently use macros.

If you want to use %{__install} or %{__sed} style, please use %{__make}, %{__rm} for consistency.


OK: The package must contain code, or permissible content.
N\A: Large documentation files must go in a -doc subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of the application.
N\A: Header files must be in a -devel package.
N\A: Static libraries must be in a -static package.
N\A: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for Directory ownership and usability).
N\A: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that en in .so (without suffix) must go in a -devel package.
N\A: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
N\A: Packages must NOT contain any .la libtool archives, these must be remove in the spec if they are built.
N\A: Packages containing GUI applications must include a %{name}.desktop file
OK: Packages must not own files or directories already owned by other packages.
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK: All filenames in rpm packages must be valid UTF-8.



No real blockers just fix the issues raised before requesting CVS

-------------------------------------------------------------------
    This package (awl) is APPROVED by topdog
-------------------------------------------------------------------

Comment 6 Thomas Moschny 2010-12-21 18:10:41 UTC
Ping?

Would be nice to see this package in, especially as it already has been approved.

Current version is 0.45.

Comment 7 Andrew Colin Kissa 2012-10-26 04:10:29 UTC
Thomas do you want to submit it, and i will review and approve, if not then i will close this bug.

Comment 8 Thomas Moschny 2012-11-04 15:32:31 UTC
Hi Andrew, was interested on awl for packaging davical, but I don't think I have enough time currently to do so. So, if you have a working package, go ahead! If you need a comaintainer I'd happily help out (still interested in a davical package, especially for EPEL).

Comment 9 Igor Gnatenko 2016-08-14 15:39:07 UTC
ping?


Note You need to log in before you can comment on or make changes to this bug.